Subject: Re: gdb with powerpc

From: Pedro Alves <[email-masked]>
Date: Wed, 12 Aug 2015 00:57:17 +0100

On 08/11/2015 05:50 PM, Ran Shalit wrote:
> Hello,
> 
> I would like to ask if anyone tried remote debugging with
> gdb/gdbserver on powerpc.
> I've tried to cross-compile gdb for powerpc, but I get into troubles.
> I am using the following compiler:
> powerpc-buildroot-linux-gnu-gcc (Buildroot 2014.11) 4.8.3
> 

> gcc -c -g -O2    -I. -I.././gdb -I.././gdb/config

Looks like you're using your host x86 gcc to build a ppc program.
That can't work.

> As an alternative, Is anyone familiar with binary package with
> gdb/gdbserver for powerpc used with x86 host ?

Please try following the instructions at:

 https://sourceware.org/gdb/wiki/BuildingCrossGDBandGDBserver

Thanks,
Pedro Alves